source: trunk/softs/tests_ccvcache_v4/test_llsc/run @ 232

Last change on this file since 232 was 232, checked in by alain, 12 years ago

Introducing the elementary tests for a TSAR mono-cluster
mono-processor platform with MMU using the vci_cc_vcache_v4
such as the "tsarv4_mono_mmu".
(assemby level tests written by Manuel Bouyer)

  • Property svn:executable set to *
File size: 452 bytes
Line 
1#!/bin/sh
2
3check_output()
4{
5        egrep "^0x00000000 0xAC4000FF 0xAC4000FF 0x00000000$" run.out > /dev/null
6        if [ $? -eq 0 ]; then
7                return 0;
8        fi
9        echo "couldn't find string in output - mtty not working ?" >> run.out
10        return 1
11}
12
13make --quiet || exit 1
14../platform/simulation.x > run.out 2>&1 
15if [ $? -eq 0 ]; then
16        if check_output; then
17                echo "test passsed";
18                make --quiet clean
19                exit 0;
20        fi
21        echo "test FAILED"
22        exit 1
23fi
24echo "test FAILED"
25exit 1
26
Note: See TracBrowser for help on using the repository browser.